apiVersion: apps/v1
kind: Deployment
metadata:
  name: flaskapi-deployment
  labels:
    app: flaskapi
spec:
  replicas: 3
  selector:
    matchLabels:
      app: flaskapi
  template:
    metadata:
      labels:
        app: flaskapi
    spec:
      containers:
        - name: flaskapi
          image: registry.gitlab.com/morice.nouvertne/k8-bootcamp-mnouv:latest
          imagePullPolicy: IfNotPresent
          ports:
            - containerPort: 5000